## org.eclipse.emf.cdo
Interface CDOInvalidationNotification

All Superinterfaces:
  CDONotification, org.eclipse.emf.common.notify.Notification

    public interface CDOInvalidationNotification

extends CDONotification

A custom EMF `notification` that is emitted to `adapters` of the objects in a `view` if `invalidation notification` is enabled for the view. Since the notifications are constructed out of the information in a `CDOSessionInvalidationEvent` (i.e. `CDOIDs`) they don't carry detailed change deltas. All the methods related to change deltas throw `UnsupportedOperationExceptions`.

See Also:
  `CDOSessionInvalidationEvent`, `CDOAdapterPolicy`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.CDONotification
`DETACH_OBJECT, EVENT_TYPE_CDO_START, INVALIDATE`

Fields inherited from interface org.eclipse.emf.common.notify.Notification
`ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

Method Summary

Methods inherited from interface org.eclipse.emf.common.notify.Notification

`getEventType, getFeature, getFeatureID, getNewBooleanValue, getNewByteValue, getNewCharValue, getNewDoubleValue, getNewFloatValue, getNewIntValue, getNewLongValue, getNewShortValue, getNewStringValue, getNewValue, getNotifier, getOldBooleanValue, getOldByteValue, getOldCharValue, getOldDoubleValue, getOldFloatValue, getOldIntValue, getOldLongValue, getOldShortValue, getOldStringValue, getOldValue, getPosition, isReset, isTouch, merge, wasSet`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.